#pragma once
#include <windows.h>
#include <string>

class LoadingWindow {
public:
    void Create(const std::string& title = "Loading...");
    void Update(const std::string& step, const std::string& detail, float progress); // NEW
    void Destroy();

private:
    HWND hwnd = nullptr;
    std::wstring windowTitle;
    std::string currentStep;
    std::string currentDetail;
    float currentProgress = 0.0f;

    static LRESULT CALLBACK WndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
};
